using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_LiuYan_LiuYanBiaoQing_ShanChu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("删除留言表情", "网站后台", "删除留言表情", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("40");

        String[] IDS=Request.QueryString["ID"].Split(new char[]{','},StringSplitOptions.RemoveEmptyEntries);
        String 表情图片 = "";

        for (int i = 0; i < IDS.Length; i++)
        {
            SqlCommand 语句 = new SqlCommand("SELECT [表情图片] FROM [" + 程序.数据表前缀 + "其它_留言_留言表情] WHERE [ID]=@ID", 访问.连接);
            语句.Parameters.Add("@ID", SqlDbType.Int).Value = Convert.ToInt32(IDS[i]);

            SqlDataReader 读取 = 语句.ExecuteReader();
            if (读取.Read())
                表情图片 = Convert.ToString(读取["表情图片"]);
            else
            {
                读取.Close();
                continue;
            }
            读取.Close();

            if (File.Exists(Server.MapPath(表情图片)))
                File.Delete(Server.MapPath(表情图片));

            语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "其它_留言_留言表情] WHERE [ID]=@ID", 访问.连接);
            语句.Parameters.Add("@ID", SqlDbType.Int).Value = Convert.ToInt32(IDS[i]);
            语句.ExecuteNonQuery();
        }

        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("删除留言表情", 访问.用户["昵称"].ToString());

        Response.Redirect(Request.QueryString["rurl"]);
    }


}
